import { Resolver, Query, Args, Mutation } from '@nestjs/graphql';
import { EpisodeCreateDto } from 'schemas/dto/episode-create.dto';
import { Episode } from 'schemas/entity/episode.entity';
import { EpisodeService } from './episode.service';

@Resolver()
export class EpisodeResolver {
  constructor(protected episodeService: EpisodeService) {}

  @Query(returns => [Episode])
  async listEpisodes(): Promise<Episode[]> {
    return this.episodeService.findAll();
  }

  @Mutation(returns => Episode)
  async createEpisode(
      @Args('episodeCreateDto') episodeCreateDto: EpisodeCreateDto,
  ) {
      const episode = await this.episodeService.create(episodeCreateDto);
      return episode;
  }

}
