import { Injectable } from '@nestjs/common';
import { InjectModel } from '@nestjs/mongoose';
import { Model } from 'mongoose';
import { EpisodeCreateDto } from 'schemas/dto/episode-create.dto';
import { Episode, EpisodeDocument } from 'schemas/entity/episode.entity';
import { v4 as uuid } from 'uuid';

@Injectable()
export class EpisodeService {
  constructor(
    @InjectModel(Episode.name) private episodeModel: Model<EpisodeDocument>,
  ) {}
  async create(episodeCreateDto: EpisodeCreateDto): Promise<Episode> {
    const createdEpisode = new this.episodeModel(episodeCreateDto);
    createdEpisode.id = uuid();
    return createdEpisode.save();
  }

  async findAll(): Promise<Episode[]> {
    return this.episodeModel.find().exec();
  }

  async findOneById(): Promise<Episode[]> {
    return this.episodeModel.find().exec();
  }
}
